cocoon-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Gerard van Enk" <gerard.van....@eo.nl>
Subject RE: Cocoon2-alpha0 & servlet 2.2
Date Sun, 13 Feb 2000 23:29:38 GMT
> > I tried to compile the "Cocoon2-alpha0" branche, but it failed.
> I think it's
> > because I'm using jsdk2.2 (servlet 2.2 api), can anybody
> confirm this? I got
> > errors like the following:
> >
> > class org.apache.cocoon.servlet.CocoonServletRequest must be declared
> > abstract. It does not define java.util.Enumeration getLocales() from
> > interface javax.servlet.ServletRequest.
> >
> > I looked it up and the getLocales() method is added to the
> servlet 2.2 API.
> > There are more methods like this that are not present in Cocoon2-alpha0
> > sources.
> >
> > Gerard
>
> Correct... It is a 2.0 servlet (Not even 2.1).
> I don't want to run in trouble with other possible bugs while writing
> the first implementation, so I'm using JServ and servlet 2.0.
>

If anybody likes to live dangerously, I've included two diff's for getting
the source to compile with jsdk2.2......One for CocoonServletRequest and one
for CocoonServletResponse.

I also included a diff for configuration.xml. Because you (Pier) removed the
Xerces-serializers but didn't change the configuration.xml.....I don't know
if I changed it the right way.....but with this configuration I could access
the CocoonServlet using Tomcat. I did't had the time to play with it, but I
got it up and running....It looks very promising!!!! Great job, Pier 8-)

Gerard

Mime
View raw message